Package com.io7m.jtensors.generators

# Class PVector3FGenerator<T>

java.lang.Object
com.io7m.jtensors.generators.PVector3FGenerator<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  `net.java.quickcheck.Generator<PVector3F<T>>`

public final class PVector3FGenerator<T> extends Object implements net.java.quickcheck.Generator<PVector3F<T>>
A vector generator.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PVector3FGenerator(net.java.quickcheck.Generator<Double> in_gen)`
  Construct a generator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> net.java.quickcheck.Generator<PVector3F<T>>`
  `create()`
  Create a generator initialized with a default component generator.
  `static <T> net.java.quickcheck.Generator<PVector3F<T>>`
  `createNormal()`
  Create a generator initialized with a default component generator that produces values in the range `[-1.0, 1.0]`.
  `static <T> net.java.quickcheck.Generator<PVector3F<T>>`
  `createSmall()`
  Create a generator initialized with a default component generator that produces values in the range `[-65536.0, 65536.0]`.
  `PVector3F<T>`
  `next()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PVector3FGenerator

    public PVector3FGenerator(net.java.quickcheck.Generator<Double> in_gen)
    Construct a generator.
    Parameters:
      `in_gen` - A component generator

- ## Method Details

  - ### create

    public static <T> net.java.quickcheck.Generator<PVector3F<T>> create()
    Create a generator initialized with a default component generator.
    Type Parameters:
      `T` - A phantom type parameter
    Returns:
      A generator

  - ### createSmall

    public static <T> net.java.quickcheck.Generator<PVector3F<T>> createSmall()
    Create a generator initialized with a default component generator that produces values in the range `[-65536.0, 65536.0]`.
    Type Parameters:
      `T` - A phantom type parameter
    Returns:
      A generator

  - ### createNormal

    public static <T> net.java.quickcheck.Generator<PVector3F<T>> createNormal()
    Create a generator initialized with a default component generator that produces values in the range `[-1.0, 1.0]`.
    Type Parameters:
      `T` - A phantom type parameter
    Returns:
      A generator

  - ### next

    public PVector3F<T> next()
    Specified by:
      `next` in interface `net.java.quickcheck.Generator<T>`